svn commit: samba-web r784 - in trunk/patches: .

lmuelle at samba.org lmuelle at samba.org
Mon Aug 29 18:01:04 GMT 2005


Author: lmuelle
Date: 2005-08-29 18:01:03 +0000 (Mon, 29 Aug 2005)
New Revision: 784

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba-web&rev=784

Log:
Add quilt support to this nice patches dir.  I'll write also a reply to
Jerry's announcement on samba-technical.

Added:
   trunk/patches/fetch-patches
   trunk/patches/series
Modified:
   trunk/patches/index.html


Changeset:
Added: trunk/patches/fetch-patches
===================================================================
--- trunk/patches/fetch-patches	2005-08-26 19:21:59 UTC (rev 783)
+++ trunk/patches/fetch-patches	2005-08-29 18:01:03 UTC (rev 784)
@@ -0,0 +1,27 @@
+#! /bin/bash
+
+PATH="/usr/bin:/usr/X11R6/bin:/bin"
+
+# URL to the series file
+SERIES_FILE="http://www.samba.org/samba/patches/series"
+
+if ! which wget>/dev/null; then
+	echo "Error: You have to install wget."
+	exit 1
+fi
+
+test -d patches || mkdir patches
+pushd patches >/dev/null
+
+wget -N "$SERIES_FILE"
+
+while read patch rest; do
+	case "$patch" in
+		\#*|"") continue ;;
+		*)
+			wget -N http://www.samba.org/samba/patches/$patch
+			;;
+	esac
+done <series
+
+popd >/dev/null


Property changes on: trunk/patches/fetch-patches
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/patches/index.html
===================================================================
--- trunk/patches/index.html	2005-08-26 19:21:59 UTC (rev 783)
+++ trunk/patches/index.html	2005-08-29 18:01:03 UTC (rev 784)
@@ -18,6 +18,15 @@
 ....build Samba as normal....
 </pre>
 
+Or use the quilt tool to apply all patches to a known series.
+<pre>$ tar zxvf samba-3.0.x.tar.gz
+$ cd samba-3.0.x
+$ wget http://www.samba.org/samba/patches/fetch-patches
+$ sh ./fetch-patches
+$ quilt push -a
+$ cd source
+</pre>
+
 <p>Please note that in some cases it will be necessary to regenerate
    the configure script by executing autogen.sh located in the 
    source/ directory.  In all cases, it is best to do a clean build 

Added: trunk/patches/series
===================================================================
--- trunk/patches/series	2005-08-26 19:21:59 UTC (rev 783)
+++ trunk/patches/series	2005-08-29 18:01:03 UTC (rev 784)
@@ -0,0 +1,7 @@
+# File to be used with the quilt tool to apply the patches in the right order.
+#
+# See http://savannah.nongnu.org/projects/quilt and 
+# http://www.suse.de/~agruen/quilt.pdf
+
+bug3010_v1.patch
+groupname_enumeration_v3.patch



More information about the samba-cvs mailing list